# Uses of Class
org.apache.sling.feature.extension.apiregions.api.ApiExport

Packages that use ApiExport
Package
Description
org.apache.sling.feature.extension.apiregions.api

## Uses of ApiExport in org.apache.sling.feature.extension.apiregions.api

Methods in org.apache.sling.feature.extension.apiregions.api that return ApiExport
Modifier and Type
Method
Description
`ApiExport`
ApiRegion.`getAllExportByName(String name)`
Get an export by name
`ApiExport`
ApiRegion.`getExportByName(String name)`
Get an export by name
Methods in org.apache.sling.feature.extension.apiregions.api that return types with arguments of type ApiExport
Modifier and Type
Method
Description
`Collection<ApiExport>`
ApiRegion.`listAllExports()`
Unmodifiable collection of exports for this region and all parents.
`Collection<ApiExport>`
ApiRegion.`listExports()`
Unmodifiable collection of exports for this region
Methods in org.apache.sling.feature.extension.apiregions.api with parameters of type ApiExport
Modifier and Type
Method
Description
`boolean`
ApiRegion.`add(ApiExport export)`
Add the export.
`int`
ApiExport.`compareTo(ApiExport o)`
`boolean`
ApiRegion.`remove(ApiExport export)`
Remove the export